Anope IRC Services

Please login or register.

Login with username, password and session length
Advanced search  

News:

Pages: [1]   Go Down

Author Topic: PANIC! buffer when an user privmsg a botserv bot  (Read 2871 times)

0 Members and 1 Guest are viewing this topic.

EZEki3l

  • Guest
PANIC! buffer when an user privmsg a botserv bot
« on: September 06, 2006, 10:39:34 PM »

when an user send a privmsg to a botserv bot can it cause a crash ? I see that on the services chan and services crashed and no more in logfile >> <Global> PANIC! buffer = :Alexisbleu PRIVMSG PuMaZ :sALUT

[Sep 06 20:11:27 2006] PANIC! buffer = :Alexisbleu PRIVMSG PuMaZ :Salut

I have ever seen that and it was with this bot too

services are disconnect and the program is not stopped

Is anyone get the same error ?
Logged

Jan Milants

  • Team
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 1372
(No subject)
« Reply #1 on: September 06, 2006, 11:05:06 PM »

yeah happens that they dc, but the process still keeps running for a while...

the error itself though is definately not caused by anope itself... you probably have custom modules loaded.. and one of them is causing the problem...
Logged
If you like me donate coins to 1FBmZVT4J8WAUMHKqpWhgNVj3XXnRN1cCk :)

EZEki3l

  • Guest
(No subject)
« Reply #2 on: September 07, 2006, 12:15:28 AM »

yes I use a lot of modules :)
I will try to start anope without modules and I will see if it crashes similar
Logged

Jan Milants

  • Team
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 1372
(No subject)
« Reply #3 on: September 07, 2006, 12:17:29 AM »

maybe try going through the forums, maybe module on anope.org/modules/ have newer versions either by the original author, either by someone else who has updated the module / added some fixes...
Logged
If you like me donate coins to 1FBmZVT4J8WAUMHKqpWhgNVj3XXnRN1cCk :)

Tom65789

  • Anope User
  • Offline Offline
  • Posts: 343
    • www.t65789.co.uk
(No subject)
« Reply #4 on: September 07, 2006, 09:45:43 AM »

more or less all of the modules on the modules page are for 1.6 as it is anyway. most need fixing/updating or even re-writing.
Pages: [1]   Go Up